Subject: bug#18919: closed (Re: bug#18919: Parted false warning.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Nov 2014 21:16:02 +0000

Your bug report

#18919: Parted false warning.

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18919: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18919
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18919: Parted false warning.
From: Phillip Susi <[email-masked]>
To: [email-masked]
Date: Sat, 01 Nov 2014 17:15:08 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/01/2014 07:08 AM, dE wrote:
> align-check min claims that the partition is aligned.

The default alignment is optimal, which normally equates to 1 MiB.  If
you want minimal alignment you need to run parted with -a min.

Subject: Parted false warning.
From: dE <[email-masked]>
To: [email-masked]
Date: Sat, 01 Nov 2014 16:38:16 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I was using the parted utility to create GPT partitions as a workaround 
to fdisk which forces partitions to start at 1MiB boundaries.

I set the first partition to begin at sector 40 but I got this --

Warning: The resulting partition is not properly aligned for best 
performance.

Which's clearly wrong for the 4K disk, instead it should be --

Warning: The resulting partition may not be properly aligned for best 
performance.

This warning is not shown only when partitions start at 1MiB boundaries.

align-check min claims that the partition is aligned.